package com.bipt.intelligentapplicationorchestrationservice.gpu.service;

import com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto.GpuResponseDTO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto.GpuUpdateDTO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.entity.GpuResource;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.vo.ResponseVO;

import java.util.List;

public interface GpuManageService {
    public ResponseVO createGpuResource(GpuCreateDTO dto);
    public ResponseVO deleteGpuResource(Long gpuId);
    public void updateGpuResource(GpuUpdateDTO entity);
    public List<GpuResponseDTO> searchByCriteria(String model, Integer memorySize, String ip);
}
